#ifndef IZ_APP_H
#define IZ_APP_H

#include <SDL_joystick.h>

#include "config/IZ_config.h"
#include "IZ_action.h"

typedef struct {
	IZ_Config config;

	IZ_Action actions[PLAYERS];

	SDL_Joystick* assigned_joysticks[PLAYERS];
} IZ_App;

int IZ_InitializeApp(IZ_App*);

#endif
